Subject: Re: next-20090318: sunhme does not transmit packets

From: David Miller <[email-masked]>
Date: Wed, 18 Mar 2009 23:44:51 -0700 (PDT)

From: Alexander Beregalov <[email-masked]>
Date: Wed, 18 Mar 2009 19:58:40 +0300

> 2009/3/18 Alexander Beregalov <[email-masked]>:
> > Hi
> >
> > Ultra 10 can boot, it receives DHCP answer, ssh works, but few minutes
> > after machine becomes unresponsible by net at all.
> > It does not respond even on ARP requests.
> >
> > On Sparc host I see that `TX packets` does not grow, but RX grows.
> > The state of the interface is
> > UP BROADCAST RUNNING MULTICAST
> >
> > There is no relevant kernel messages in dmesg.
> >
> > next-20090317 worked fine.
> >
> >
> > Let me know if I can help.
> >
> 
> I have reproduced it on next-20090318 for the second time, but still
> do not know how.
> next-20090317 might be affected.
> 
> Now both packet counters grow, but tcpdump cannot capture any packet.

Does the current vanilla kernel work fine?